Bug 1290506 - Gnome shell blocks the settings of a gnome extension.
Gnome shell blocks the settings of a gnome extension.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: librsvg2 (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 12:16 EST by Ervin
Modified: 2015-12-24 13:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-24 13:09:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 759084 None None None 2015-12-16 08:32 EST

  None (edit)
Description Ervin 2015-12-10 12:16:30 EST
Description of problem:
The execution of settings for the gnome shell extension dash to dock is blocked by the gnome-shell. 

Version-Release number of selected component (if applicable):
Version 3.18.2

How reproducible:Always


Steps to Reproduce:
1. Install dash to dock extension using firefox https://extensions.gnome.org/extension/307/dash-to-dock/
2. Open gnome-tweak-tool
3. Click on settings

Actual results: Settings can't be executed


Expected results: The settings of the extension should be executed normally. 


Additional info: This was broken by a recent update, which update, I can't know. 
It was working  before the updates as of today Dec 10 2015. 
It was working before. 

dash to dock is a superb extension solving problems with the default dock in gnome, such as no fixed icon size (icons reducing to a dot when multiple applications are added to the favorites or running), extra customization and I suggest it should be included by default in gnome not as an extension but as a default dock.
Comment 1 Ervin 2015-12-11 11:54:00 EST
https://github.com/micheleg/dash-to-dock/issues/262
This thread explains that the problematic package in gnome might be the newer svglib or librsvg to my limited understanding. 
But it seems it is  something with the new gnome package reading the svg files, this bug seems to have affected nautilus as well.
Comment 2 Florian Müllner 2015-12-16 08:32:34 EST
This is an issue with the changed filter handling in librsvg, reassigning.

(For future reference: note that the 'gnome-shell-extensions' component is only for extensions that are part of the gnome-shell-extensions module, not any 3rd party extensions like dash-to-dock. The component that crashes when trying to open the preference dialog is provided by gnome-shell)
Comment 3 Ervin 2015-12-24 13:09:46 EST
This bug is in the extension itself and has been fixed by the author of the extension.

Note You need to log in before you can comment on or make changes to this bug.